#include "pw/scene/camera.hpp"

namespace pw {

camera::camera()
	: _fov(60.0)
	, _near_plane(0.2f)
	, _far_plane(1000)
{
	set_projection(matrix44::perspective_projection(_fov,1,_near_plane,_far_plane));
}

void camera::set_projection(const matrix44 &projection)
{
	this->_projection = projection;
}

const matrix44 &camera::projection() const
{
	return _projection;
}


}
